import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { ImageViewerConfig } from './models/image-viewer-config.model';
import { CustomImageEvent } from './models/custom-image-event-model';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class AngularImageViewerComponent implements OnInit, OnChanges {
    moduleConfig: ImageViewerConfig;
    private sanitizer;
    src: string[];
    screenHeightOccupied: 0;
    index: number;
    config: ImageViewerConfig;
    indexChange: EventEmitter<number>;
    configChange: EventEmitter<ImageViewerConfig>;
    customImageEvent: EventEmitter<CustomImageEvent>;
    styleHeight: string;
    style: {
        transform: string;
        msTransform: string;
        oTransform: string;
        webkitTransform: string;
    };
    fullscreen: boolean;
    loading: boolean;
    private scale;
    private rotation;
    private translateX;
    private translateY;
    private prevX;
    private prevY;
    private hovered;
    constructor(moduleConfig: ImageViewerConfig, sanitizer: DomSanitizer);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    nextImage(event: any): void;
    prevImage(event: any): void;
    zoomIn(): void;
    zoomOut(): void;
    scrollZoom(evt: any): boolean;
    rotateClockwise(): void;
    rotateCounterClockwise(): void;
    onLoad(url: any): void;
    onLoadStart(url: any): void;
    imageNotFound(url: any): void;
    onDragOver(evt: any): void;
    onDragStart(evt: any): void;
    toggleFullscreen(): void;
    triggerIndexBinding(): void;
    triggerConfigBinding(): void;
    fireCustomEvent(name: any, imageIndex: any): void;
    reset(): void;
    onMouseOver(): void;
    onMouseLeave(): void;
    private canNavigate;
    private updateStyle;
    private mergeConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularImageViewerComponent, [{ optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularImageViewerComponent, "angular-image-viewer", never, { "src": "src"; "screenHeightOccupied": "screenHeightOccupied"; "index": "index"; "config": "config"; }, { "indexChange": "indexChange"; "configChange": "configChange"; "customImageEvent": "customImageEvent"; }, never, never, false>;
}
